Report Runs
4 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.
Every request needs payments-api-key and payments-account.
/v1/report-runsList all Report Runs
Returns a list of Report Runs. The Report Runs are sorted with the most recently created appearing first.
Query parameters
typearray of string (payments_summary_1 | payments_summary_2 | payouts_summary_1 | payouts_summary_2 | payouts_summary_3 | payouts_reconciliation_1 | payouts_detail_1 | fees_summary_1 | …)optionalOnly return ReportRuns whose type is included by this array. Examples:
?type=payments_summary_2,payouts_summary_2and?type=payouts_summary_2.statusarray of string (queued | finished | failed)optionalOnly return ReportRuns whose status is included by this array. Examples:
?status=finishedand?status=finished,queued.offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
include_expiredbooleanoptionalWhether to included expired Report Runs or not
Responses
200PaginatedDto | object
has_morebooleanrequiredWhether or not there are more elements available after this set. If
false, this set comprises the end of the list.limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
totalnumberoptionalThe total items count.
itemsarray of ReportRunrequired
/v1/report-runsCreate a Report Run
Creates a Report Run.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
parametersReportRunRequestParametersrequiredThe request paramaters of a Report Run
report_namestringoptionalThe name of the report. Can only be alphanumeric, and include hyphens (-), underscores (_), and periods (.)
typestring (payments_summary_1 | payments_summary_2 | payouts_summary_1 | payouts_summary_2 | payouts_summary_3 | payouts_reconciliation_1 | payouts_detail_1 | fees_summary_1 | …)requiredThe type of a Report Run.
Payments Summary Report
{
"parameters": {
"account_id": "{{ACCOUNT_ID}}",
"start_at": "2022-05-21",
"end_at": "2022-10-19",
"time_zone": "America/New_York"
},
"type": "payments_summary_1",
"reportName": "Report name"
}Responses
201ReportRun
account_idstringrequiredThe id of the associated account.
created_atstring date-timerequiredTime at which the object was created.
failure_messagestringoptionalThe failure message of the report run, if status is 'failed'.
idstringrequiredUnique identifier for the object.
parametersReportRunRequestParametersrequiredresultFileoptionalstatusstring (queued | finished | failed)requiredThe status of a report run.
typestring (payments_summary_1 | payments_summary_2 | payouts_summary_1 | payouts_summary_2 | payouts_summary_3 | payouts_reconciliation_1 | payouts_detail_1 | fees_summary_1 | …)requiredThe type of a report run.
updated_atstring date-timerequiredTime at which the object was last updated.
/v1/report-runs/{id}Get a Report Run
Retrieves the details of an existing Report Run.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200ReportRun
account_idstringrequiredThe id of the associated account.
created_atstring date-timerequiredTime at which the object was created.
failure_messagestringoptionalThe failure message of the report run, if status is 'failed'.
idstringrequiredUnique identifier for the object.
parametersReportRunRequestParametersrequiredresultFileoptionalstatusstring (queued | finished | failed)requiredThe status of a report run.
typestring (payments_summary_1 | payments_summary_2 | payouts_summary_1 | payouts_summary_2 | payouts_summary_3 | payouts_reconciliation_1 | payouts_detail_1 | fees_summary_1 | …)requiredThe type of a report run.
updated_atstring date-timerequiredTime at which the object was last updated.
/v1/report-runs/{report_type}/report_columnsList available columns for customization by report run type
Retrieves a list of available columns for a given report run type.
Path parameters
report_typestringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200array of ReportColumnDefinition
